#
# spec file for package yast2-agent-you (Version 2.5.11)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake gpp libgpp libpkg libpkg-devel libscr libscr-devel liby2 liby2-devel libycp libycp-devel ydoc
# usedforbuild    aaa_base aaa_dir aaa_version autoconf automake base bash bindutil binutils bison bzip cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel glibc-locale gpm gpp gppshare grep groff gzip kbd less libgpp libpkg libpkg-devel libscr libscr-devel libtool liby2 liby2-devel libycp libycp-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim ydoc

Name:         yast2-agent-you
Copyright:    (c) 2000 SuSE GmbH
Group:        System/YaST
Summary:      YaST2 YOU agent
Version:      2.5.11
Release:      0
Source0:      yast2-agent-you-2.5.11.tar.bz2
Requires:     libpkg yast2-agent-http yast2-agent-ftp

%description
YaST2 YOU agent for handling patches.

Authors:
--------
    Stefan Schubert

SuSE series: yast

%package devel
Version:      2.5.11
Release:      0
Summary:      YaST2 YOU agent
Group:        System/YaST

%description devel
YaST2 YOU agent for handling patches.

Authors:
--------
    Stefan Schubert

SuSE series: yast

%prep
%setup -n yast2-agent-you-2.5.11

%build
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure
make

%install
make install

%files
%dir /usr/lib/YaST2/plugin
/usr/lib/YaST2/plugin/libpy2ag_you.so.*
%dir /usr/lib/YaST2/lib
/usr/lib/YaST2/lib/liby2ag_you.so.*
%dir /usr/lib/YaST2/scrconf
/usr/lib/YaST2/scrconf/you.scr

%files devel
%dir /usr/lib/YaST2/plugin
/usr/lib/YaST2/plugin/libpy2ag_you.so
/usr/lib/YaST2/plugin/libpy2ag_you.la
%dir /usr/lib/YaST2/lib
/usr/lib/YaST2/lib/liby2ag_you.so
/usr/lib/YaST2/lib/liby2ag_you.la
%dir /usr/share/doc/packages/yast2-agent-you
/usr/share/doc/packages/yast2-agent-you/*

%changelog -n yast2-agent-you
* Tue May 28 2002 - schubi@suse.de
- Taking original package, if it has not been installed #16348
- Bugfix in handling trigger script
* Thu Mar 21 2002 - schubi@suse.de
- Patch CD-Update expects patch description with signature #15251
* Tue Mar 19 2002 - kkaempf@suse.de
- only provide own .scr files (#14530).
* Mon Mar 04 2002 - schubi@suse.de
- Bugfix while updating strange packages via http #14041
* Wed Feb 27 2002 - gs@suse.de
- bugfix: use correct name "produktname" to read the product info
* Fri Feb 22 2002 - schubi@suse.de
- getting patch descriptions are much more faster
* Thu Feb 21 2002 - schubi@suse.de
- .you.packages return packageName ( rpm ) too
* Tue Dec 11 2001 - schubi@suse.de
- New flag "UpdateOnlyInstalled" in order to install only
  packages of patch which are installed.
* Fri Dec 07 2001 - schubi@suse.de
- proxy support added
- YouAgentCalls splitted
* Tue Dec 04 2001 - schubi@suse.de
- PKGINFO calls removed
* Fri Nov 30 2001 - schubi@suse.de
- initial
